Help & Resource Center
Follow

FREAK SSL Vulnerability - March 3, 2015

A new vulnerability was reported today in the Secure-Socket Layer (SSL) encryption cryptography.  Basically this vulnerability is part of the weaker 40-bit cryptography that is seldom used anymore by ecommerce websites.  However, simply having this weaker encryption enabled on your web server could open you up to an attack.  For more information about this vulnerability please read:

Modern Retail has patched all our servers so you are not vulnerable to this FREAK vulnerability.  If you would like to test your sever yourself, you can do so by using this website:

As always if you have any questions please let us know by submitting a Support Request.  Thank you.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments